NodeDiagnosticInfo
Keywords: net.corda.core.node.NodeDiagnosticInfo class
Date: 2023-09-18

net.corda.core.node

## Class NodeDiagnosticInfo

- net.corda.core.node.NodeDiagnosticInfo

-     public class NodeDiagnosticInfo

  A `class NodeDiagnosticInfo` holds information about the current node version.

  See Also:
    `class NodeDiagnosticInfo`

- - ### Constructor Detail

    - #### NodeDiagnosticInfo

          public NodeDiagnosticInfo(@NotNull
                                    java.lang.String version,
                                    @NotNull
                                    java.lang.String revision,
                                    int platformVersion,
                                    @NotNull
                                    java.lang.String vendor,
                                    @NotNull
                                    java.util.List<net.corda.core.cordapp.CordappInfo> cordapps)

      A `class NodeDiagnosticInfo` holds information about the current node version.

      Parameters:
        `version` - The current node version string, e.g. 4.3, 4.4-SNAPSHOT. Note that this string is effectively freeform, and so should only be used for providing diagnostic information. It should not be used to make functionality decisions (the platformVersion is a better fit for this).
        `revision` - The git commit hash this node was built from
        `platformVersion` - The platform version of this node. This number represents a released API version, and should be used to make functionality decisions (e.g. enabling an app feature only if an underlying platform feature exists)
        `vendor` - The vendor of this node
        `cordapps` - A list of CorDapps currently installed on this node
      See Also:
        `class NodeDiagnosticInfo`

  - ### Method Detail

    - #### getVersion

          @NotNull
          public java.lang.String getVersion()

      The current node version string,

      e.g. 4.3, 4.4-SNAPSHOT. Note that this string is effectively freeform, and so should only be used for providing diagnostic information. It should not be used to make functionality decisions (the platformVersion is a better fit for this).

    - #### getRevision

          @NotNull
          public java.lang.String getRevision()

      The git commit hash this node was built from

    - #### getPlatformVersion

          public int getPlatformVersion()

      The platform version of this node.

      This number represents a released API version, and should be used to make functionality decisions (e.g. enabling an app feature only if an underlying platform feature exists)

    - #### getVendor

          @NotNull
          public java.lang.String getVendor()

      The vendor of this node

    - #### getCordapps

          @NotNull
          public java.util.List<net.corda.core.cordapp.CordappInfo> getCordapps()

      A list of CorDapps currently installed on this node

    - #### component1

          @NotNull
          public java.lang.String component1()

      The current node version string,

      e.g. 4.3, 4.4-SNAPSHOT. Note that this string is effectively freeform, and so should only be used for providing diagnostic information. It should not be used to make functionality decisions (the platformVersion is a better fit for this).

    - #### component2

          @NotNull
          public java.lang.String component2()

      The git commit hash this node was built from

    - #### component3

          public int component3()

      The platform version of this node.

      This number represents a released API version, and should be used to make functionality decisions (e.g. enabling an app feature only if an underlying platform feature exists)

    - #### component4

          @NotNull
          public java.lang.String component4()

      The vendor of this node

    - #### component5

          @NotNull
          public java.util.List<net.corda.core.cordapp.CordappInfo> component5()

      A list of CorDapps currently installed on this node

    - #### copy

          @NotNull
          public NodeDiagnosticInfo copy(@NotNull
                                                  java.lang.String version,
                                                  @NotNull
                                                  java.lang.String revision,
                                                  int platformVersion,
                                                  @NotNull
                                                  java.lang.String vendor,
                                                  @NotNull
                                                  java.util.List<net.corda.core.cordapp.CordappInfo> cordapps)

      A `class NodeDiagnosticInfo` holds information about the current node version.

      Parameters:
        `version` - The current node version string, e.g. 4.3, 4.4-SNAPSHOT. Note that this string is effectively freeform, and so should only be used for providing diagnostic information. It should not be used to make functionality decisions (the platformVersion is a better fit for this).
        `revision` - The git commit hash this node was built from
        `platformVersion` - The platform version of this node. This number represents a released API version, and should be used to make functionality decisions (e.g. enabling an app feature only if an underlying platform feature exists)
        `vendor` - The vendor of this node
        `cordapps` - A list of CorDapps currently installed on this node
      See Also:
        `class NodeDiagnosticInfo`

    - #### toString

          @NotNull
          public java.lang.String toString()

      A `class NodeDiagnosticInfo` holds information about the current node version.

      See Also:
        `class NodeDiagnosticInfo`

    - #### hashCode

          public int hashCode()

      A `class NodeDiagnosticInfo` holds information about the current node version.

      See Also:
        `class NodeDiagnosticInfo`

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      A `class NodeDiagnosticInfo` holds information about the current node version.

      See Also:
        `class NodeDiagnosticInfo`